gnutls_hpke_deinit(3)

NAME
gnutls_hpke_deinit - API function

SYNOPSIS
#include <gnutls/hpke.h>

int gnutls_hpke_deinit(gnutls_hpke_context_t ctx);

ARGUMENTS

gnutls_hpke_context_t ctx
    The HPKE context to deinitialize.

DESCRIPTION
This function deinitializes the HPKE context and securely erases any sensitive information contained within it, such as keys and secrets. It is important to call this function when the HPKE context is no longer needed to prevent sensitive data from lingering in memory.

RETURNS
0 on success, or a negative error code on failure.

SINCE
3.8.13

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2023 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/